Orders

Place and manage customer orders.

List orders

get
/store/orders

Returns all orders placed in the store. Does not currently support filtering or pagination.

Filtering and pagination are planned for v2. Subscribe to the changelog for updates.

授权
Authorizationstring必填

Pass your API key as a Bearer token in the Authorization header.

响应
200

An array of orders.

application/json
idinteger · int64可选

Unique order identifier.

petIdinteger · int64可选

The ID of the animal in this order.

quantityinteger可选

Number of units ordered.

shipDatestring · date-time可选

Expected or actual ship date in ISO 8601 format.

completeboolean可选

Whether the order has been fulfilled.

get
/store/orders
Beta

Cancel an order

delete
/store/orders/{orderId}

Cancels an order by ID. Only orders with a status of pending can be cancelled — orders that have already shipped cannot be reversed.

授权
Authorizationstring必填

Pass your API key as a Bearer token in the Authorization header.

路径参数
orderIdinteger · int64必填

The ID of the order to cancel.

响应
delete
/store/orders/{orderId}

无内容

最后更新于